> ## Documentation Index
> Fetch the complete documentation index at: https://developer.kyckr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search by Name

> Searching for an entity by name in a chosen registry. You will need the company name and ISO country code of the registry. From this you will receive a list of companies from the chosen registry. You will also receive the code field which can be used as a parameter for our other API calls.



## OpenAPI

````yaml /openapi/company_v1.yaml get /core/company/search/{countryISO}/{companyName}
openapi: 3.0.1
info:
  title: Kyckr Companies V1 API
  description: |
    Kyckr Companies V1 API
  version: '1.0'
  contact:
    name: Kyckr APIs
    email: support@kyckr.com
servers:
  - url: https://rest.kyckr.com
    description: Production
  - url: https://rest.kyckr.com/test
    description: Test
security:
  - apiKey: []
tags:
  - name: Account
  - name: Company Profile
  - name: Company Search
  - name: Price
  - name: Registry Documents
  - name: UBO Verify
  - name: Lite
paths:
  /core/company/search/{countryISO}/{companyName}:
    parameters:
      - $ref: '#/components/parameters/countryISO'
      - $ref: '#/components/parameters/companyName'
    get:
      tags:
        - Company Search
      summary: Search by Name
      description: >-
        Searching for an entity by name in a chosen registry. You will need the
        company name and ISO country code of the registry. From this you will
        receive a list of companies from the chosen registry. You will also
        receive the code field which can be used as a parameter for our other
        API calls.
      operationId: Company_CompanySearch
      parameters:
        - $ref: '#/components/parameters/regAuth'
        - $ref: '#/components/parameters/orderRef'
      responses:
        '200':
          $ref: '#/components/responses/CoreSearch'
components:
  parameters:
    countryISO:
      name: countryISO
      description: 2-digit ISO country code
      in: path
      required: true
      schema:
        type: string
      example: IE
    companyName:
      name: companyName
      in: path
      description: Name of the company you are searching for
      required: true
      schema:
        type: string
      example: Kyckr
    regAuth:
      name: regAuth
      in: query
      schema:
        type: string
      description: Registration Authority string from search query
      example: ITTO
    orderRef:
      name: orderRef
      in: query
      schema:
        type: string
      description: Optional client order reference
      example: kyckr_order_123
  responses:
    CoreSearch:
      description: Example response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/CoreSearchResultList'
          examples:
            Example:
              $ref: '#/components/examples/CoreSearchResult'
  schemas:
    CoreSearchResultList:
      type: object
      properties:
        companiesField:
          type: array
          items:
            $ref: '#/components/schemas/CoreSearchResult'
        transactionIdField:
          type: string
        responseCodeField:
          type: number
        responseDetailsField: {}
        continuationKeyField: {}
    CoreSearchResult:
      type: object
      properties:
        addressesField:
          type: array
          items:
            $ref: '#/components/schemas/AddressObject'
        codeField:
          type: string
        companyIDField:
          type: string
          deprecated: true
          description: Deprecated - use registrationNumberField instead
        dateField:
          type: string
          format: date-time
        legalFormField:
          type: string
        legalStatusField:
          type: string
        nameField:
          type: string
        officialField:
          type: boolean
          deprecated: true
        registrationAuthorityField:
          type: string
        registrationAuthorityCodeField:
          type: string
        registrationNumberField:
          type: string
          description: Company registration number issued by the registrationAuthority
        registrationTypeField:
          type: string
          description: >-
            If present, indicates that the original foundational legal entity
            registration  is at another register (the source register).
        registrationTypeDetailsField:
          type: object
          description: >-
            Additional details in relation to the registration type, if
            registrationTypeField is set.
          properties:
            originalCodeField:
              type: string
              description: Non standard code for the source registry.
            originalDescriptionField:
              type: string
              description: Description text for the source registry.
            normalizedCodeField:
              type: string
              description: >-
                ISO code for the country, province or state of the source
                registry.
            normalizedDescriptionField:
              type: string
              description: Country and state description of the foreign registry.
        isPreviousNameField:
          type: boolean
          description: >-
            Returns whether the search result corresponds to a previous name of
            the company. Only relevant for name searches.
        otherIdentifiers:
          type: array
          description: Additional identifiers with their standardized type codes
          items:
            $ref: '#/components/schemas/Identifier'
    AddressObject:
      type: object
      properties:
        countryField:
          type: string
          description: Country
        lineField:
          type: array
          deprecated: true
          items:
            type: object
            deprecated: true
            properties:
              lineField:
                type: string
                deprecated: true
        typeField:
          type: string
          description: Address Type
        typeCodeField:
          type: string
          description: Address Type Code
        addressInOneLineField:
          type: string
          description: Full address concatenated in one line
        addressLine1Field:
          type: string
          description: 1st Line of Address
        addressLine2Field:
          type: string
          description: 2nd Line of Address
        addressLine3Field:
          type: string
          description: 3rd Line of Address
        addressLine4Field:
          type: string
          description: 4th Line of Address
        addressLine5Field:
          type: string
          description: 5th Line of Address
        postcodeField:
          type: string
          description: Postal Code
        cityTownField:
          type: string
          description: City or Town
        regionStateField:
          type: string
          description: Region or State
    Identifier:
      title: Identifier
      type: object
      description: A standardized identifier with its type code
      properties:
        value:
          type: string
          description: The identifier value
          example: NA0091712
        type:
          type: string
          description: The standardized type code for this identifier
  examples:
    CoreSearchResult:
      value:
        companiesField:
          - addressesField:
              - addressInOneLineField: ARC LABS RESEARCH CENTER,WIT WEST CAMPUS WATERFORD 999940
            codeField: '436024'
            nameField: KYCKR IRELAND LIMITED
            officialField: false
        transactionIdField: '8305906'
        responseCodeField: 0
  securitySchemes:
    apiKey:
      type: apiKey
      name: Authorization
      in: header

````